channel.h(3)

NAME
channel.h -

Definition of socket classes for different underlying transport and/or network protocols that can be used to instantiate the TRTPSessionBase template.

SYNOPSIS

#include <ccrtp/base.h>
#include <sys/ioctl.h>

  Classes
class RTPBaseUDPIPv4Socket
A UDP/IPv4 socket class targetted at RTP stacks.
class DualRTPChannel< BaseSocket >

  Typedefs
typedef DualRTPChannel< RTPBaseUDPIPv4Socket > DualRTPUDPIPv4Channel
typedef RTPBaseUDPIPv4Socket SingleRTPChannel
May be used in applications where using the same socket for both sending and receiving is not a limitation.
typedef SingleRTPChannel SymmetricRTPChannel
Actually, RTP with a single channel can be called 'Symmetric RTP'.

  Functions
size_t ccioctl (SOCKET so, int request, size_t &len)

Detailed Description

Definition of socket classes for different underlying transport and/or network protocols that can be used to instantiate the TRTPSessionBase template.

Function Documentation

  size_t ccioctl (SOCKET so, int request, size_t & len) [inline]

Author

Generated automatically by Doxygen for ccRTP from the source code.